Bug 339053 - Allow the usage of arrows to move in the photo sequence when in preview [patch]
Summary: Allow the usage of arrows to move in the photo sequence when in preview [patch]
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Preview-Image (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-13 22:01 UTC by Luca Carlon
Modified: 2014-11-26 12:51 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.6.0


Attachments
Allows the usage of arrows in preview. (1.66 KB, patch)
2014-09-13 22:01 UTC, Luca Carlon
Details
Allows the usage of arrows in preview. (1.25 KB, patch)
2014-11-23 16:16 UTC, Luca Carlon
Details
Allows the usage of arrows in preview. (2.21 KB, patch)
2014-11-23 17:46 UTC, Luca Carlon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luca Carlon 2014-09-13 22:01:08 UTC
When in preview, only moving with pageup and pagedown is allowed. But some keyboards (for instance macbook's keyboard) doesn't feature those keys and moving with the arrows seems pretty natural.

Reproducible: Always
Comment 1 Luca Carlon 2014-09-13 22:01:58 UTC
Created attachment 88696 [details]
Allows the usage of arrows in preview.
Comment 2 Luca Carlon 2014-11-23 16:16:43 UTC
Created attachment 89698 [details]
Allows the usage of arrows in preview.

Inverted params in the macro as requested.
Comment 3 Teemu Rytilahti 2014-11-23 16:28:22 UTC
Gilles, what do you think? For me it looks good.
Comment 4 caulier.gilles 2014-11-23 16:59:18 UTC
The feature is fine for me.

Patch include a macro which must be factored somewhere in a common place (as core/app/utils/global.h) and used where we can to reduce duplicate code.

Gilles
Comment 5 Luca Carlon 2014-11-23 17:46:12 UTC
Created attachment 89701 [details]
Allows the usage of arrows in preview.

Moved to globals.h as requested to try to reuse the code.
Comment 6 caulier.gilles 2014-11-26 12:51:21 UTC
Git commit fca9b840bfa68aedff7531135c39812ab98faa88 by Gilles Caulier.
Committed on 26/11/2014 at 12:49.
Pushed by cgilles into branch 'master'.

apply patch #89701 from Lucas Carlon about to manage arrow keys to navigate between items as with PAGE_UP and PAGE_DOWN
This affect ImageEditor, LightTable, AlbumGUI Preview Mode, and ImportGUI Preview Mode.
FIXED-IN: 4.6.0

M  +2    -1    NEWS
M  +27   -6    app/utils/globals.h
M  +7    -9    app/views/digikamview.cpp
M  +10   -5    utilities/imageeditor/editor/editorwindow.cpp
M  +10   -0    utilities/imageeditor/editor/editorwindow_p.h
M  +8    -13   utilities/importui/views/importview.cpp
M  +3    -1    utilities/lighttable/lighttablewindow.cpp
M  +13   -0    utilities/lighttable/lighttablewindow_p.h

http://commits.kde.org/digikam/fca9b840bfa68aedff7531135c39812ab98faa88